import { Component, PropsWithChildren, ReactElement } from 'react';
import { Align, Position } from 'react-tiny-popover';
export declare const PopoverMenuMenu: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PopoverMenuItem: import("styled-components").StyledComponent<"div", any, {
    active?: boolean | undefined;
}, never>;
declare type PopoverProps = {
    position: Position;
    targetRect: ClientRect;
    popoverRect: ClientRect;
};
declare type Props = PropsWithChildren<{
    position?: Position;
    align?: Align;
    renderMenu: (close: () => void) => ReactElement;
}>;
export declare class PopoverMenu extends Component<Props> {
    state: {
        isPopoverOpen: boolean;
    };
    close: () => void;
    renderPopover: ({ position, targetRect, popoverRect, }: PopoverProps) => ReactElement;
    render(): ReactElement;
}
export {};
